ruby2.6-rubygem-builder-3.2.3-1.11.x86_64.rpm


Advertisement

Description

ruby2.6-rubygem-builder - Builders for MarkUp

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ruby2.6-rubygem-builder-3.2.3-1.11.x86_64.rpm
Package name ruby2.6-rubygem-builder
Package version 3.2.3
Package release 1.11
Package architecture x86_64
Package type rpm
Category Development/Languages/Ruby
Homepage http://onestepback.org
License MIT
Maintainer -
Download size 59.39 KB
Installed size 93.93 KB
Builder provides a number of builder objects that make creating structured
data
simple to do.  Currently the following builder objects are supported:
* XML Markup
* XML Events.

Alternatives

Package Version Architecture Repository
ruby2.6-rubygem-builder-3.2.3-1.11.i586.rpm 3.2.3 i586 openSUSE Oss
ruby2.6-rubygem-builder - - -

Requires

Name Value
ruby(abi) = 2.6.0

Provides

Name Value
ruby2.6-rubygem-builder = 3.2.3-1.11
ruby2.6-rubygem-builder(x86-64) = 3.2.3-1.11
rubygem(builder) = 3.2.3
rubygem(ruby:2.6.0:builder) = 3.2.3
rubygem(ruby:2.6.0:builder:3) = 3.2.3
rubygem(ruby:2.6.0:builder:3.2) = 3.2.3
rubygem(ruby:2.6.0:builder:3.2.3) = 3.2.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ruby2.6-rubygem-builder-3.2.3-1.11.x86_64.rpm
Source Package rubygem-builder-3.2.3-1.11.src.rpm

Install Howto

Install ruby2.6-rubygem-builder rpm package:

# zypper install ruby2.6-rubygem-builder

Files

Path
/usr/lib64/ruby/gems/2.6.0/cache/builder-3.2.3.gem
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/CHANGES
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/MIT-LICENSE
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/README.md
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/Rakefile
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/doc/jamis.rb
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/doc/releases/builder-1.2.4.rdoc
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/doc/releases/builder-2.0.0.rdoc
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/doc/releases/builder-2.1.1.rdoc
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/lib/blankslate.rb
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/lib/builder.rb
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/lib/builder/blankslate.rb
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/lib/builder/version.rb
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/lib/builder/xchar.rb
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/lib/builder/xmlbase.rb
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/lib/builder/xmlevents.rb
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/lib/builder/xmlmarkup.rb
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/rakelib/publish.rake
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/rakelib/tags.rake
/usr/lib64/ruby/gems/2.6.0/gems/builder-3.2.3/rakelib/testing.rake
/usr/lib64/ruby/gems/2.6.0/specifications/builder-3.2.3.gemspec
/usr/share/doc/packages/ruby2.6-rubygem-builder/CHANGES
/usr/share/doc/packages/ruby2.6-rubygem-builder/MIT-LICENSE
/usr/share/doc/packages/ruby2.6-rubygem-builder/README.md

Changelog

2017-01-14 - coolo@suse.com
- updated to version 3.2.3
see installed CHANGES
2014-11-10 - tboerger@suse.com
- Added new ruby macros
- Removed symlink-binaries through gem2rpm conversion
2014-10-12 - adrian@suse.de
- adapt to new rubygem packaging style
2013-06-06 - coolo@suse.com
- updated to version 3.2.2
2013-05-31 - coolo@suse.com
- updated to version 3.2.1
* Ruby 2.0 compatibility changes.
* Allow single quoted attributes.
2013-03-03 - coolo@suse.com
- updated to version 3.2.0
2012-10-26 - coolo@suse.com
- updated to version 3.1.4
* just a small test fix
2012-09-10 - coolo@suse.com
- updated to version 3.1.3
* suppress warning while undefining object_id
2012-09-07 - coolo@suse.com
- updated to version 3.1.2
* only changelog available:
https://github.com/jimweirich/builder/commits/builder-3.1.2/
2012-09-06 - coolo@suse.com
- update to 3.1 (no longer suffix)
* Included the to_xs arity patch needed for weird Rails compatibility
issue.
* Escaping newlines in attributes now.
* Allow method caching
* Ruby 1.9 compatiblity issues.

See Also

Package Description
ruby2.6-rubygem-builder-doc-3.2.3-1.11.i586.rpm RDoc documentation for builder
ruby2.6-rubygem-builder-doc-3.2.3-1.11.x86_64.rpm RDoc documentation for builder
ruby2.6-rubygem-builder-testsuite-3.2.3-1.11.i586.rpm Test suite for builder
ruby2.6-rubygem-builder-testsuite-3.2.3-1.11.x86_64.rpm Test suite for builder
ruby2.6-rubygem-bundler-2.0.1-1.1.i586.rpm The best way to manage your application's dependencies
ruby2.6-rubygem-bundler-2.0.1-1.1.x86_64.rpm The best way to manage your application's dependencies
ruby2.6-rubygem-bundler-audit-0.6.0-1.7.i586.rpm Patch-level verification for Bundler
ruby2.6-rubygem-bundler-audit-0.6.0-1.7.x86_64.rpm Patch-level verification for Bundler
ruby2.6-rubygem-bundler-audit-doc-0.6.0-1.7.i586.rpm RDoc documentation for bundler-audit
ruby2.6-rubygem-bundler-audit-doc-0.6.0-1.7.x86_64.rpm RDoc documentation for bundler-audit
ruby2.6-rubygem-bundler-audit-testsuite-0.6.0-1.7.i586.rpm Test suite for bundler-audit
ruby2.6-rubygem-bundler-audit-testsuite-0.6.0-1.7.x86_64.rpm Test suite for bundler-audit
ruby2.6-rubygem-bundler-doc-2.0.1-1.1.i586.rpm RDoc documentation for bundler
ruby2.6-rubygem-bundler-doc-2.0.1-1.1.x86_64.rpm RDoc documentation for bundler
ruby2.6-rubygem-bunny-2.11.0-1.3.i586.rpm Popular easy to use Ruby client for RabbitMQ
Advertisement
Advertisement